## linglong-pica 1.2.2

=== Makefile ===
PBUILDER_PKG = pbuilder-satisfydepends-dummy
PREFIX = usr
BINARY_DIR = bin
BINARY_NAME = ll-pica
GO_PATH = /tmp/go
GO_CACHE = /tmp/go-cache
GoPath := GOPATH=${GO_PATH}
export GOCACHE=${GO_CACHE}
export GO111MODULE=on

GOTEST = go test -v
GOBUILD = go build -mod vendor  -ldflags '-X pkg.deepin.com/linglong/pica/tools/log.disableLogDebug=yes -X pkg.deepin.com/linglong/pica/cli/cobra.disableLogDebug=yes' -v $(GO_BUILD_FLAGS)
GOBUILDDEBUG = go build -mod vendor -v $(GO_BUILD_FLAGS)


all: build

build:
	install -d ${GO_PATH} ${GO_CACHE}
	CGO_ENABLED=0 ${GoPath} ${GOBUILD} -o ${BINARY_DIR}/${BINARY_NAME} ./cmd/${BINARY_NAME}

debug:
	${GoPath} ${GOBUILDDEBUG} -o ${BINARY_DIR}/${BINARY_NAME} ./cmd/${BINARY_NAME}

test:
	${GoPath} ${GOTEST} ./tools/...

install:
	install -Dm0755 ${BINARY_DIR}/${BINARY_NAME} ${DESTDIR}/${PREFIX}/${BINARY_DIR}/${BINARY_NAME}

	install -d ${DESTDIR}/${PREFIX}/share/linglong/builder/helper/
	install -Dm0755 misc/libexec/linglong/builder/helper/install_dep ${DESTDIR}/${PREFIX}/libexec/linglong/builder/helper/install_dep
clean:
	rm -rf ${BINARY_DIR}
	rm -rf ${GO_PATH}
	rm -rf ${GO_CACHE}

.PHONY: ${BINARY_NAME}

=== debian/changelog ===
linglong-pica (1.2.2-1) unstable; urgency=medium

  * fix: Fix install_dep path error for install
  * feat: add exportFile arg for convert
  * feat: replace sh file

 -- bluesky <chenchongbiao@deepin.org>  Thu, 11 Jul 2024 17:53:11 +0800

linglong-pica (1.2.1-1) unstable; urgency=medium

  * fix: skip build err

 -- bluesky <chenchongbiao@deepin.org>  Mon, 01 Jul 2024 14:10:57 +0800

linglong-pica (1.2.0-1) unstable; urgency=medium

  * chore: add install_dep
  * fix: fix split Exec=
  * fix: fix get bin file error
  * feat: check dir add script
  * fix: The old version of base does not support skip installation
  * feat: Hide unimportant error messages

 -- bluesky <chenchongbiao@deepin.org>  Wed, 19 Jun 2024 14:55:57 +0800

linglong-pica (1.1.2-1) UNRELEASED; urgency=medium

  * fix: format version
  * feat: add --withDep
  * feat: Disable CGO
  * remove: remove install_dep

 -- bluesky <chenchongbiao@deepin.org>  Thu, 06 Jun 2024 09:58:00 +0800

linglong-pica (1.1.1-1) unstable; urgency=medium

  * chore: move install_dep to linglong.yaml
  * chore: Compatible with non store software conversions

 -- bluesky <chenchongbiao@deepin.org>  Mon, 27 May 2024 14:06:14 +0800

linglong-pica (1.1.0-1) unstable; urgency=medium

  * update version to 1.1.0

 -- bluesky <chenchongbiao@deepin.org>  Tue, 14 May 2024 09:41:09 +0800

linglong-pica (1.0.2-deepin1) unstable; urgency=medium

  * update version to 1.0.2

 -- liujianqiang <liujianqiang@uniontech.com>  Thu, 24 Nov 2022 11:01:43 +0800

linglong-pica (1.0.1-deepin1) unstable; urgency=medium

  * fix ll-builder config --name parameter error.

 -- liujianqiang <liujianqiang@uniontech.com>  Wed, 26 Oct 2022 16:28:43 +0800

linglong-pica (1.0.0-1) unstable; urgency=medium

  * Initial release.

 -- liujianqiang <liujianqiang@uniontech.com>  Fri, 23 Sep 2022 13:53:55 +0800

=== debian/control ===
Source: linglong-pica
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 golang (>= 2:1.17),
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: linglong-pica
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 linglong-builder,
 grep,
Description: Linglong transform package tools.
 Linglong transform package command line tool from deb.

=== debian/rules ===
#!/usr/bin/make -f
export GOPATH := /usr/share/gocode

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_test:

## linglong-pica 1.2.4

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 PREFIX = usr
 BINARY_DIR = bin
 BINARY_NAME = ll-pica
+APPIMAGE_CONVERT_BINARY_NAME = ll-appimage-convert
 GO_PATH = /tmp/go
 GO_CACHE = /tmp/go-cache
 GoPath := GOPATH=${GO_PATH}
@@ -18,21 +19,29 @@
 build:
 	install -d ${GO_PATH} ${GO_CACHE}
 	CGO_ENABLED=0 ${GoPath} ${GOBUILD} -o ${BINARY_DIR}/${BINARY_NAME} ./cmd/${BINARY_NAME}
+	CGO_ENABLED=0 ${GoPath} ${GOBUILD} -o ${BINARY_DIR}/${APPIMAGE_CONVERT_BINARY_NAME} ./cmd/${APPIMAGE_CONVERT_BINARY_NAME}
 
 debug:
 	${GoPath} ${GOBUILDDEBUG} -o ${BINARY_DIR}/${BINARY_NAME} ./cmd/${BINARY_NAME}
+	${GoPath} ${GOBUILDDEBUG} -o ${BINARY_DIR}/${APPIMAGE_CONVERT_BINARY_NAME} ./cmd/${APPIMAGE_CONVERT_BINARY_NAME}
 
 test:
 	${GoPath} ${GOTEST} ./tools/...
 
 install:
 	install -Dm0755 ${BINARY_DIR}/${BINARY_NAME} ${DESTDIR}/${PREFIX}/${BINARY_DIR}/${BINARY_NAME}
+	install -Dm0755 ${BINARY_DIR}/${APPIMAGE_CONVERT_BINARY_NAME} ${DESTDIR}/${PREFIX}/${BINARY_DIR}/${APPIMAGE_CONVERT_BINARY_NAME}
+	install -Dm0755 cmd/ll-pica-flatpak/ll-pica-flatpak ${DESTDIR}/${PREFIX}/${BINARY_DIR}/ll-pica-flatpak
+	install -Dm0755 cmd/ll-pica-flatpak/ll-pica-flatpak-convert ${DESTDIR}/${PREFIX}/${BINARY_DIR}/ll-pica-flatpak-convert
+	install -Dm0755 cmd/ll-pica-flatpak/ll-pica-flatpak-utils ${DESTDIR}/${PREFIX}/${BINARY_DIR}/ll-pica-flatpak-utils
 
 	install -d ${DESTDIR}/${PREFIX}/share/linglong/builder/helper/
 	install -Dm0755 misc/libexec/linglong/builder/helper/install_dep ${DESTDIR}/${PREFIX}/libexec/linglong/builder/helper/install_dep
 clean:
 	rm -rf ${BINARY_DIR}
+	rm -rf ${APPIMAGE_CONVERT_BINARY_NAME}
 	rm -rf ${GO_PATH}
 	rm -rf ${GO_CACHE}
 
 .PHONY: ${BINARY_NAME}
+.PHONY: ${APPIMAGE_CONVERT_BINARY_NAME}

=== debian/changelog ===
linglong-pica (1.2.4-1) unstable; urgency=medium

  * feat: use caching to speed up installation
  * fix: remove aptly cache
  * fix(appimage-convert): failed to convert appimage

 -- dengbo <dengbo@deepin.org>  Wed, 13 Nov 2024 15:37:34 +0800

linglong-pica (1.2.3-1) unstable; urgency=medium

  * feat: add ll-pica-flatpak
  * fix: fix install Base version
  * fix: glib version is too low when run app of conversion
  * fix: fix Exec
  * fix: fix install base
  * feat: add appimage convert feature

 -- dengbo <dengbo@deepin.org>  Fri, 27 Sep 2024 15:40:26 +0800

=== debian/control ===
--- 
+++ 
@@ -15,5 +15,7 @@
  ${misc:Depends},
  linglong-builder,
  grep,
+ jq,
+ ostree
 Description: Linglong transform package tools.
  Linglong transform package command line tool from deb.

## linglong-pica 1.2.6

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	install -Dm0755 cmd/ll-pica-flatpak/ll-pica-flatpak ${DESTDIR}/${PREFIX}/${BINARY_DIR}/ll-pica-flatpak
 	install -Dm0755 cmd/ll-pica-flatpak/ll-pica-flatpak-convert ${DESTDIR}/${PREFIX}/${BINARY_DIR}/ll-pica-flatpak-convert
 	install -Dm0755 cmd/ll-pica-flatpak/ll-pica-flatpak-utils ${DESTDIR}/${PREFIX}/${BINARY_DIR}/ll-pica-flatpak-utils
+	install -Dm0755 cmd/ll-convert-tool/ll-convert-tool ${DESTDIR}/${PREFIX}/${BINARY_DIR}/ll-convert-tool
 
 	install -d ${DESTDIR}/${PREFIX}/share/linglong/builder/helper/
 	install -Dm0755 misc/libexec/linglong/builder/helper/install_dep ${DESTDIR}/${PREFIX}/libexec/linglong/builder/helper/install_dep

=== vendor/go.uber.org/zap/Makefile ===
export GOBIN ?= $(shell pwd)/bin

GOLINT = $(GOBIN)/golint
STATICCHECK = $(GOBIN)/staticcheck
BENCH_FLAGS ?= -cpuprofile=cpu.pprof -memprofile=mem.pprof -benchmem

# Directories containing independent Go modules.
#
# We track coverage only for the main module.
MODULE_DIRS = . ./benchmarks

# Many Go tools take file globs or directories as arguments instead of packages.
GO_FILES := $(shell \
	find . '(' -path '*/.*' -o -path './vendor' ')' -prune \
	-o -name '*.go' -print | cut -b3-)

.PHONY: all
all: lint test

.PHONY: lint
lint: $(GOLINT) $(STATICCHECK)
	@rm -rf lint.log
	@echo "Checking formatting..."
	@gofmt -d -s $(GO_FILES) 2>&1 | tee lint.log
	@echo "Checking vet..."
	@$(foreach dir,$(MODULE_DIRS),(cd $(dir) && go vet ./... 2>&1) &&) true | tee -a lint.log
	@echo "Checking lint..."
	@$(foreach dir,$(MODULE_DIRS),(cd $(dir) && $(GOLINT) ./... 2>&1) &&) true | tee -a lint.log
	@echo "Checking staticcheck..."
	@$(foreach dir,$(MODULE_DIRS),(cd $(dir) && $(STATICCHECK) ./... 2>&1) &&) true | tee -a lint.log
	@echo "Checking for unresolved FIXMEs..."
	@git grep -i fixme | grep -v -e Makefile | tee -a lint.log
	@echo "Checking for license headers..."
	@./checklicense.sh | tee -a lint.log
	@[ ! -s lint.log ]

$(GOLINT):
	go install golang.org/x/lint/golint

$(STATICCHECK):
	go install honnef.co/go/tools/cmd/staticcheck

.PHONY: test
test:
	@$(foreach dir,$(MODULE_DIRS),(cd $(dir) && go test -race ./...) &&) true

.PHONY: cover
cover:
	go test -race -coverprofile=cover.out -coverpkg=./... ./...
	go tool cover -html=cover.out -o cover.html

.PHONY: bench
BENCH ?= .
bench:
	@$(foreach dir,$(MODULE_DIRS), ( \
		cd $(dir) && \
		go list ./... | xargs -n1 go test -bench=$(BENCH) -run="^$$" $(BENCH_FLAGS) \
	) &&) true

.PHONY: updatereadme
updatereadme:
	rm -f README.md
	cat .readme.tmpl | go run internal/readme/readme.go > README.md

=== debian/changelog ===
linglong-pica (1.2.6-1) unstable; urgency=medium

  * release 1.2.6-1.

 -- dengbo <dengbo@deepin.org>  Fri, 12 Sep 2025 10:28:06 +0800

linglong-pica (1.2.5-1) unstable; urgency=medium

  * refactor: refine source directory path.
  * refactor: improve deb build script.

 -- dengbo <dengbo@deepin.org>  Fri, 05 Sep 2025 10:17:56 +0800

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,12 @@
  linglong-builder,
  grep,
  jq,
- ostree
+ ostree,
+ python3,
+ python3-yaml,
+ flatpak,
+ apt-file,
+ coreutils,
+ zstd,
 Description: Linglong transform package tools.
  Linglong transform package command line tool from deb.

## linglong-pica 1.2.8

=== debian/changelog ===
linglong-pica (1.2.8-1) unstable; urgency=medium

  * release 1.2.8-1.

 -- dengbo <dengbo@deepin.org>  Fri, 14 Nov 2025 15:25:48 +0800

linglong-pica (1.2.7-1) unstable; urgency=medium

  * feat: now supports ARM64 flatpak app conversion.
  * chore: Updates base and version identifiers to 25.2.1.

 -- dengbo <dengbo@deepin.org>  Thu, 30 Oct 2025 15:20:39 +0800
